
/* ******************************************************************************* */
/*                                                                                 */
/*  Practica de Intelligencia Artificial II                                       */
/*  Implementacio de l'algorisme de classificacio de dades multidimensionals:      */
/*  SOM (Self Oriented Map)                                                        */   
/*  Classe Classificador: executa classificacio de patrons del fitxer especificat  */
/*                        a partir de la malla de neurones entrenada previament,   */
/*                        obtenint la classe corresponent a cada patro.            */
/*  Autors: Francisco Jose Aguilar Celdran i Sergio Blanco Cuaresma                */
/*                                                                                 */
/* ******************************************************************************* */

public class Classificador 
{
   public static void main(String args[])
   {
      if (args.length == 3) {
         Som classificador = new Som(10,10,4,10,3,null,10,(float)0.8,(float)0.8,3);
         classificador.aplicarMallaEntrenada(args[0],args[1],args[2]);
      }
      else {
         System.out.println("Sintaxis: classificador [fitxer_malla] [fitxer_patrons] [nom_fitxer_resultat]");
      }
   }
}
